Bug 509116 - Desktop hangs completely if button-down in GIMP
Desktop hangs completely if button-down in GIMP
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 08:54 EDT by Pete Zaitcev
Modified: 2009-07-21 21:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-21 21:04:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (5.12 MB, text/plain)
2009-07-01 09:03 EDT, Pete Zaitcev
no flags Details
dmesg (47.28 KB, text/plain)
2009-07-01 09:04 EDT, Pete Zaitcev
no flags Details

  None (edit)
Description Pete Zaitcev 2009-07-01 08:54:14 EDT
Description of problem:

Whenever anything is entered in image in GIMP, desktop hangs, no mouse
movement.

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.6.99-6.20090618.fc12.x86_64
xorg-x11-drv-ati-6.12.2-19.fc12.x86_64
gimp-2.6.6-5.fc12.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Open an image in GIMP
2. Select any tool (for example, paint)
3. Press and hold, move

Actual results:

Desktop hangs solid.

Expected results:

No hang.

Additional info:

Button-down event is delivered (in case of paint, a spot appears),
but not the motion.

GIMP process can be killed, then desktop resumes. This is not an
OS-level hang. Also, it's possible to switch away to text console.
Comment 1 Pete Zaitcev 2009-07-01 08:54:53 EDT
Forgot to add, kernel-2.6.31-0.33.rc1.git2.fc12.x86_64
Comment 2 Pete Zaitcev 2009-07-01 09:03:23 EDT
Created attachment 350105 [details]
Xorg.0.log

Nothing interesting but perhaps will forestall Matej's form letter.
Comment 3 Pete Zaitcev 2009-07-01 09:04:35 EDT
Created attachment 350106 [details]
dmesg
Comment 4 Pete Zaitcev 2009-07-01 12:42:59 EDT
This may be related to bug 495454, but:
 - this bug tracks Rawhide and that 495454 is for F11
 - symptoms are different in detail (my cursor does not move, their does)
 - I swear this ONLY appeared after Rawhide bumped to F12, so how can it
   be same?

So, not duping.
Comment 5 Pete Zaitcev 2009-07-05 12:18:25 EDT
The dmesg is probably not relevant. I tried the following:
 - running over a self-built kernel with DRM disabled (fails)
 - running remotely from an F10 system (fails)
So even if it's Radeon driver, it's entirely within X, not in kernel.
Comment 6 Matěj Cepl 2009-07-05 21:36:05 EDT
Actually my candidate for closing as duplicate would be bug 504300, but yes it is also F11. Assigning to developers but still suspicious that we have made some change to the driver in both F11 (post-GA) and F12 which causes this.
Comment 7 Pete Zaitcev 2009-07-16 00:23:36 EDT
I am not sure these are the same. In my case, X does not crash, just
locks up. However, I can switch to text console and kill gimp, which
unfreezes the X. I'll keep retesting and we'll see.
Comment 8 Pete Zaitcev 2009-07-21 21:04:41 EDT
Problem is gone in July 20 update.

xorg-x11-server-Xorg-1.6.99-14.20090715.fc12.x86_64
xorg-x11-drv-ati-6.12.2-19.fc12.1.x86_64     <-------- not changed
gimp-2.6.6-7.fc12.x86_64

Nothing interesting gimp's changelog, I think it was X core.

Note You need to log in before you can comment on or make changes to this bug.